summaryrefslogtreecommitdiffstats
path: root/office/freemind
diff options
context:
space:
mode:
author Dhaby Xiloj <slack.dhabyx@gmail.com>2010-05-11 22:55:07 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:07 +0200
commit5e101248ecf3cc79499a70d1d172c062d343df99 (patch)
treefc29071ba1aab1a945d705ed8b12ec828d714493 /office/freemind
parent9473a2ca85eb55b0fd978082ce7307af18d09fd2 (diff)
downloadslackbuilds-5e101248ecf3cc79499a70d1d172c062d343df99.tar.gz
slackbuilds-5e101248ecf3cc79499a70d1d172c062d343df99.tar.xz
office/freemind: Added to 12.1 repository
Diffstat (limited to 'office/freemind')
-rw-r--r--office/freemind/README8
-rw-r--r--office/freemind/freemind.SlackBuild91
-rw-r--r--office/freemind/freemind.desktop10
-rw-r--r--office/freemind/freemind.info8
-rw-r--r--office/freemind/freemind.pngbin0 -> 27643 bytes
-rw-r--r--office/freemind/slack-desc19
6 files changed, 136 insertions, 0 deletions
diff --git a/office/freemind/README b/office/freemind/README
new file mode 100644
index 0000000000..174595c73c
--- /dev/null
+++ b/office/freemind/README
@@ -0,0 +1,8 @@
+FreeMind - Free mind-mapping software written in Java.
+
+Can you use it for the following purposes:
+ * Keeping track of projects, including subtasks, state of subtasks
+ and time recording.
+ * Essay writing and brainstorming, using colors to show which essays
+ are open, completed, not yet started etc.
+ * And much more.
diff --git a/office/freemind/freemind.SlackBuild b/office/freemind/freemind.SlackBuild
new file mode 100644
index 0000000000..a20f17f4c4
--- /dev/null
+++ b/office/freemind/freemind.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for freemind
+
+# Copyright (c) 2008, Dhaby Xiloj <slack.dhabyx@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This script is just a binary repackaging.
+
+
+PRGNAM=freemind
+VERSION=${VERSION:-0.8.1}
+ARCH=i586 # Leave this alone.
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+VERSIONPKG=$(echo $VERSION | tr . _)
+
+DOCS="license"
+DELFILES="freemind.bat Freemind.exe"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/$PRGNAM $OUTPUT
+cd $PKG/opt/$PRGNAM
+unzip $CWD/$PRGNAM-bin-max-$VERSIONPKG.zip
+
+# Remove unnecessary files
+rm $DELFILES
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Add a script to run freemind in /usr/bin
+mkdir -p $PKG/usr/bin
+cat << EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/sh
+cd /opt/freemind
+./freemind.sh
+EOF
+chmod 0755 $PKG/opt/$PRGNAM/freemind.sh
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+# Add freemind to KDE/GNOME/XFCE menu and install an icon for them
+install -D -m 0644 $CWD/$PRGNAM.desktop \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+install -D -m 0644 $CWD/freemind.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Add docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/$PRGNAM
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/freemind/freemind.desktop b/office/freemind/freemind.desktop
new file mode 100644
index 0000000000..fce8751f55
--- /dev/null
+++ b/office/freemind/freemind.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Exec=freemind
+Name=FreeMind
+GenericName=FreeMind
+Comment=Mind Mapping Tool
+Icon=freemind
+StartupNotify=true
+Categories=Qt;KDE;Office;GNOME;Application;Office;
diff --git a/office/freemind/freemind.info b/office/freemind/freemind.info
new file mode 100644
index 0000000000..f83f7c3d45
--- /dev/null
+++ b/office/freemind/freemind.info
@@ -0,0 +1,8 @@
+PRGNAM="freemind"
+VERSION="0.8.1"
+HOMEPAGE="http://freemind.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/freemind/freemind-bin-max-0_8_1.zip"
+MD5SUM="e6078a7116e3dca610817c3c60db4cbf"
+MAINTAINER="Dhaby Xiloj"
+EMAIL="slack.dhabyx@gmail.com"
+APPROVED="David Somero"
diff --git a/office/freemind/freemind.png b/office/freemind/freemind.png
new file mode 100644
index 0000000000..564973db94
--- /dev/null
+++ b/office/freemind/freemind.png
Binary files differ
diff --git a/office/freemind/slack-desc b/office/freemind/slack-desc
new file mode 100644
index 0000000000..2b8ae0abb4
--- /dev/null
+++ b/office/freemind/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+freemind: FreeMind (Free mind-mapping software written in Java)
+freemind:
+freemind: Can you use it for the following purposes:
+freemind: * Keeping track of projects, including subtasks, state of
+freemind: subtasks and time recording.
+freemind: * Essay writing and brainstorming, using colors to show which essays
+freemind: are open, completed, not yet started etc.
+freemind: * And much more.
+freemind:
+freemind: Homepage: http://freemind.sourceforge.net
+freemind: